# FileUploadNotificationCancellationData class

Indicates that a file upload has been cancelled.

Implemented types
  - StanzaHandlerExtension

## Constructors

FileUploadNotificationCancellationData (String id)
  const

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
id → String
  The id of the upload notifiaction that is cancelled.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited